Skip to main content
POST
Assign a terminal to a sub account
For a complete guide on response codes and transaction statuses, see Response Codes.

Authorizations

Authorization
string
header
required

Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. In each of the methods, You will get an ACCESS_TOKEN. You need to use an "Authorization" HTTP header to provide your ACCESS_TOKEN. For example: Authorization: {ACCESS_TOKEN}.

Headers

accountId
string<uuid>
required

The parent accountId of the business.

Example:

"890022ce-bae0-45c1-9b9d-ee7872e6ca27"

Path Parameters

subAccountId
string
required

The sub accountId whose terminals are to be fetched.

Body

application/json

The request payload required to assign a terminal to an account.

serialNumber
string
required

Serial number

Example:

"55555555"

terminalLabel
string

Terminal label

Example:

"Testing"

Response

OK - your request was successful.

code
string
required

Response Code

Example:

"00"

description
string
required

Response description

Example:

"Success"

data
object
required